> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Manager

> This API returns information about a specific agent or an administrator based on the manager Id (required).

## OpenAPI

````json GET /managers/{MANAGER_ID}
{
  "openapi": "3.0.3",
  "info": {
    "title": "CommBox API",
    "x-logo": {
      "url": "https://www.commbox.io/logo/commbox_logo_large.png"
    },
    "version": "2.07",
    "termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
    "contact": {
      "name": "commbox",
      "url": "https://www.commbox.io",
      "email": "contactus@commbox.io"
    }
  },
  "servers": [
    {
      "url": "https://api.commbox.io/",
      "description": "Production server"
    }
  ],
  "paths": {
    "/managers/{MANAGER_ID}": {
      "get": {
        "tags": [
          "Managers"
        ],
        "summary": "Get Manager",
        "description": "This API returns information about a specific agent or an administrator based on the manager Id (required).",
        "operationId": "Get_Manager",
        "parameters": [
          {
            "name": "MANAGER_ID",
            "in": "path",
            "description": "Manager ID. This is a commbox generated number",
            "required": true,
            "schema": {
              "$ref": "#/components/parameters/MANAGER_ID/schema"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": 200
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation successful"
                    },
                    "response_time": {
                      "type": "string",
                      "example": "2024-08-06T07:51:52.2581942Z"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 520760,
                          "description": "The manager’s id number"
                        },
                        "content": {
                          "type": "string",
                          "example": "{\"user_color\":\"\",\"_isEmailVerified\":true,\"_activationState\":\"Handled\"}",
                          "description": "Lists related statuses about the agent/admin: Active state – shows the user’s status, Password verification, Email verification, Chosen color"
                        },
                        "identityId": {
                          "type": "integer",
                          "example": "2192427",
                          "description": "CommBox associates conversations with a customer via a specified communication channel. A customer may have a few identities when the conversation is using more than one communication channel. For agents/admins, this number is irrelevant and just identifies the user as a Manager. "
                        },
                        "streamProviderId": {
                          "type": "string",
                          "example": "john.s@gmail.com",
                          "description": "Unique identifier by external provider (WhatsApp, email, etc.) for the original conversation"
                        },
                        "thumbnailUrl": {
                          "type": "string",
                          "example": null,
                          "description": "If the agent/admin has an associated thumbnail picture, the URL to the file will be listed here."
                        },
                        "brandId": {
                          "type": "integer",
                          "example": 1054,
                          "description": "The CommBox account number associated with this agent/admin"
                        },
                        "permissionId": {
                          "type": "integer",
                          "example": 3,
                          "description": "Admins will have 3. Agents may have any other number (usually 2)"
                        },
                        "firstName": {
                          "type": "string",
                          "example": "John"
                        },
                        "lastName": {
                          "type": "string",
                          "example": "Smith"
                        },
                        "email": {
                          "type": "string",
                          "example": "john.s@gmail.com"
                        },
                        "userName": {
                          "type": "string",
                          "example": "john.s"
                        },
                        "teamId": {
                          "type": "integer",
                          "example": 431,
                          "description": "Lists the teams’ Id associated with the agent/admin"
                        },
                        "teamName": {
                          "type": "string",
                          "example": "VIP"
                        },
                        "profiles": {
                          "type": "string",
                          "example": "",
                          "description": "List profiles Id associated with the agent/admin"
                        },
                        "maxSyncObjectsAssignments": {
                          "type": "integer",
                          "example": 3,
                          "description": "States the maximum number of Synchronous conversations the agent allows to have (Admins or agents without limitations will be null). Edit in the Auto Assignment module or in the Status tab of the Users page."
                        },
                        "maxAsyncObjectsAssignments": {
                          "type": "integer",
                          "description": "States the maximum number of Asynchronous conversations the agent allows to have (Admins or agents without limitations will be null). Edit in the Auto Assignment module or in the Status tab of the Users page.",
                          "example": 5
                        },
                        "multiReplyAccess": {
                          "type": "string",
                          "description": "Related to profiles",
                          "example": ""
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - The request could not be understood by the server. Incoming parameters might not be valid",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400
                    },
                    "description": {
                      "type": "string",
                      "example": "Bad Request"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - The supplied credentials, if any, are not sufficient to access the resource",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 401
                    },
                    "description": {
                      "type": "string",
                      "example": "Unauthorized"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found - The requested resource is not found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 404
                    },
                    "description": {
                      "type": "string",
                      "example": "Not Found"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 429
                    },
                    "description": {
                      "type": "string",
                      "example": "Too Many Requests"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Server Error - The server could not return the representation due to an internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 500
                    },
                    "description": {
                      "type": "string",
                      "example": "Internal Server Error"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time",
                      "example": "2025-02-06T07:51:52.2581942Z"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
````

